Resetting the video thumbnail
Reset thumbnail
Resetting the video thumbnail to its auto-generated version is done by sending a DELETE request to the /videos/:videoId/thumbnail endpoint.
curl -X DELETE https://app.ignitevideo.cloud/api/videos/[VIDEO_ID]/thumbnail \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json"Response
The response is the full Video object.
src.thumbnailsis restored to the auto-generated thumbnail variants.src.thumbnailUrlis set back to the 1080p variant (or the highest available variant) of the original thumbnail.
{
"id": "[VIDEO_ID]",
"title": "Video title",
"src": {
"thumbnails": [
// ... 2160p, 1440p if source image is large enough
{
"name": "1080p", "width": 1920, "height": 1080,
"formats": {
"jpeg": { "url": "https://cdn.example.com/thumbnails/.../original/a1b2c3d4-1080p.jpg", "fileSize": 9180 },
"webp": { "url": "https://cdn.example.com/thumbnails/.../original/a1b2c3d4-1080p.webp", "fileSize": 4256 }
}
},
{
"name": "720p", "width": 1280, "height": 720,
"formats": {
"jpeg": { "url": "https://cdn.example.com/thumbnails/.../original/a1b2c3d4-720p.jpg", "fileSize": 5180 },
"webp": { "url": "https://cdn.example.com/thumbnails/.../original/a1b2c3d4-720p.webp", "fileSize": 2106 }
}
},
// ... 480p, 360p, 240p
],
"thumbnailUrl": "https://cdn.example.com/thumbnails/.../original/a1b2c3d4-1080p.jpg",
...
}
}src.thumbnailUrl is deprecated and will be removed in a future version. Use src.thumbnails instead.